Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.query.path
Enum Test.Kind

    java.lang.Object
      java.lang.Enum<Test.Kind>
          org.basex.query.path.Test.Kind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Test.Kind>

Enclosing class:
  Test

    public static enum Test.Kind

extends java.lang.Enum<Test.Kind>

Test types.

Enum Constant Summary
`ALL` Accept all nodes (*).
`NAME` Test names (*:tag).
`NS` Test namespaces (pre:*).
`STD` Test all nodes (pre:tag).

Method Summary
`static Test.Kind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Test.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final Test.Kind ALL

  Accept all nodes (*).

### NAME

    public static final Test.Kind NAME

  Test names (*:tag).

### NS

    public static final Test.Kind NS

  Test namespaces (pre:*).

### STD

    public static final Test.Kind STD

  Test all nodes (pre:tag).

Method Detail

### values

    public static Test.Kind[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Test.Kind c : Test.Kind.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Test.Kind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD